IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[FactClaims_STAGE]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[FactClaims_STAGE](
	[ClaimKey] [int] NOT NULL,
	[PolicyKey] [int] NOT NULL,
	[ClaimDate] [date] NOT NULL,
	[ClaimCodeKey] [nvarchar](4) NOT NULL,
	[TotalAmount] [money] NOT NULL,
) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_FactClaims_STAGE_DimClaimCode]') AND parent_object_id = OBJECT_ID(N'[dbo].[FactClaims_STAGE]'))
ALTER TABLE [dbo].[FactClaims_STAGE]  WITH CHECK ADD  CONSTRAINT [FK_FactClaims_STAGE_DimClaimCode] FOREIGN KEY([ClaimCodeKey])
REFERENCES [dbo].[DimClaimCode] ([ClaimCodeKey])
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_FactClaims_STAGE_DimClaimCode]') AND parent_object_id = OBJECT_ID(N'[dbo].[FactClaims_STAGE]'))
ALTER TABLE [dbo].[FactClaims_STAGE] CHECK CONSTRAINT [FK_FactClaims_STAGE_DimClaimCode]
GO

IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_FactClaims_STAGE_DimPolicy]') AND parent_object_id = OBJECT_ID(N'[dbo].[FactClaims_STAGE]'))
ALTER TABLE [dbo].[FactClaims_STAGE]  WITH CHECK ADD  CONSTRAINT [FK_FactClaims_STAGE_DimPolicy] FOREIGN KEY([PolicyKey])
REFERENCES [dbo].[DimPolicy] ([PolicyKey])
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_FactClaims_STAGE_DimPolicy]') AND parent_object_id = OBJECT_ID(N'[dbo].[FactClaims_STAGE]'))
ALTER TABLE [dbo].[FactClaims_STAGE] CHECK CONSTRAINT [FK_FactClaims_STAGE_DimPolicy]
GO


