IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[DimClient_STAGE]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[DimClient_STAGE](
	[ClientBusinessKey] [nvarchar](20) NOT NULL,
	[FirstName] [nvarchar](50) NOT NULL,
	[MiddleName] [nvarchar](50) NULL,
	[LastName] [nvarchar](50) NULL,
	[AddressLine1] [nvarchar](120) NULL,
	[AddressLine2] [nvarchar](120) NULL,
	[BirthDate] [date] NULL,
	[Gender] [nvarchar](1) NULL,
	[YearlyIncome] [money] NULL,
	[TotalChildren] [tinyint] NULL,
	[DateFirstPolicy] [date] NULL,
	[CommuteDistance] [nvarchar](15) NULL,
	[City] [nvarchar](30) NULL,
	[StateProvinceCode] [nvarchar](3) NULL,
	[StateProvinceName] [nvarchar](50) NULL,
	[CountryRegionCode] [nvarchar](3) NULL,
	[PostalCode] [nvarchar](15) NULL
) ON [PRIMARY]
END
GO

